> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 6305c835-16d2-4c98-8a64-1a87b15a76eb
---

# Retrieve participant breakdown by external ID

> Read Marketing event's participations breakdown with optional filters by externalAccountId and externalEventId pair.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/legacy/v3/marketing-marketing-events-v3.json GET /marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown
openapi: 3.0.1
info:
  title: Marketing Marketing Events
  description: Basepom for all HubSpot Projects
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-related-documentation:
    - name: Marketing Events Guide
      url: >-
        https://developers.hubspot.com/docs/guides/api/marketing/marketing-events
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
  - name: Batch
  - name: Event Attendees
  - name: Event Status
  - name: Identifiers
  - name: List Associations
  - name: Participant State
  - name: Settings
  - name: Subscriber State Changes
paths:
  /marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown:
    get:
      tags:
        - Participant State
      summary: Read participations breakdown by Marketing Event external identifier
      description: >-
        Read Marketing event's participations breakdown with optional filters by
        externalAccountId and externalEventId pair.
      operationId: >-
        get-/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown_getParticipationsBreakdownByExternalEventId
      parameters:
        - name: externalAccountId
          in: path
          description: >-
            The accountId that is associated with this marketing event in the
            external event application.
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: externalEventId
          in: path
          description: The id of the marketing event in the external event application.
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: after
          in: query
          description: The cursor indicating the position of the last retrieved item.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: contactIdentifier
          in: query
          description: The identifier of the Contact. It may be email or internal id.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The limit for response size. The default value is 10, the max number
            is 100
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            default: 10
        - name: state
          in: query
          description: >-
            The participation state value. It may be REGISTERED, CANCELLED,
            ATTENDED, NO_SHOW
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionResponseWithTotalParticipationBreakdown
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - crm.objects.marketing_events.read
components:
  schemas:
    CollectionResponseWithTotalParticipationBreakdown:
      required:
        - results
        - total
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        results:
          type: array
          items:
            $ref: '#/components/schemas/ParticipationBreakdown'
        total:
          type: integer
          format: int32
    Paging:
      type: object
      properties:
        next:
          $ref: '#/components/schemas/NextPage'
        prev:
          $ref: '#/components/schemas/PreviousPage'
      description: >-
        Represents the pagination information for navigating through a list of
        results in the API. It provides details on how to access the previous or
        next set of results.
    ParticipationBreakdown:
      required:
        - associations
        - createdAt
        - id
        - properties
      type: object
      properties:
        associations:
          $ref: '#/components/schemas/ParticipationAssociations'
        createdAt:
          type: string
          description: The creation time and date of the target marketing event
          format: date-time
        id:
          type: string
          description: The internal ID of the target marketing event
        properties:
          $ref: '#/components/schemas/ParticipationProperties'
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    NextPage:
      required:
        - after
      type: object
      properties:
        after:
          type: string
          description: The ID element at the start of the page
        link:
          type: string
          description: Link to the next page
      description: >-
        Specifies the paging information needed to retrieve the next set of
        results in a paginated API response
    PreviousPage:
      required:
        - before
      type: object
      properties:
        before:
          type: string
          description: A paging cursor token for retrieving previous pages.
        link:
          type: string
          description: A URL that can be used to retrieve the previous pages' results.
      description: >-
        specifies the paging information needed to retrieve the previous set of
        results in a paginated API response
    ParticipationAssociations:
      required:
        - contact
        - marketingEvent
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/ContactAssociation'
        marketingEvent:
          $ref: '#/components/schemas/MarketingEventAssociation'
    ParticipationProperties:
      required:
        - attendanceState
        - occurredAt
      type: object
      properties:
        attendanceDurationSeconds:
          type: integer
          description: The number of seconds the participation lasted
          format: int32
        attendancePercentage:
          type: string
          description: >-
            Percentage of the participation duration relative to the event
            duration
        attendanceState:
          type: string
          description: The state of the participation
          enum:
            - ATTENDED
            - CANCELLED
            - EMPTY
            - NO_SHOW
            - REGISTERED
        occurredAt:
          type: integer
          description: Timestamp of when the participation occurred
          format: int64
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
    ContactAssociation:
      required:
        - contactId
        - email
      type: object
      properties:
        contactId:
          type: string
          description: The internal ID of the contact in HubSpot
        email:
          type: string
          description: The email of the contact in HubSpot
        firstname:
          type: string
          description: The first name of the contact in HubSpot
        lastname:
          type: string
          description: The last name of the contact in HubSpot
    MarketingEventAssociation:
      required:
        - marketingEventId
        - name
      type: object
      properties:
        externalAccountId:
          type: string
          description: >-
            The account ID that is associated with this marketing event in the
            external event application
        externalEventId:
          type: string
          description: >-
            The event ID that is associated with this marketing event in the
            external event application
        marketingEventId:
          type: string
          description: The internal ID of the marketing event in HubSpot
        name:
          type: string
          description: The name of the marketing event in HubSpot
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            crm.objects.marketing_events.read: ''
            crm.objects.marketing_events.write: ''

````